TTF_GetTextEngine(3)

NAME
TTF_GetTextEngine - Get the text engine used by a text object.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

TTF_TextEngine * TTF_GetTextEngine(TTF_Text *text);

FUNCTION PARAMETERS

text
    the TTF_Text
     to query.

RETURN VALUE
( TTF_TextEngine
 *) Returns the

TTF_TextEngine
 used by the text on success or NULL on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the text.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_SetTextEngine(3)